## com.puppycrawl.tools.checkstyle.checks.j2ee
Class LocalInterfaceMethodChecker

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
          com.puppycrawl.tools.checkstyle.checks.j2ee.LocalInterfaceMethodChecker

    public class LocalInterfaceMethodChecker

extends MethodChecker

Checks methods of a local interface.

Author:
  Rick Giles

Constructor Summary
`LocalInterfaceMethodChecker(LocalInterfaceCheck aCheck)` Constructs a `LocalInterfaceMethodChecker` for a local interface check.

Method Summary
`void` `checkMethod(DetailAST aMethodAST)` Checks whether a method satisfies component requirements.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
`checkMethod, checkMethods, checkNotThrows, checkThrows, getCheck, log, logName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalInterfaceMethodChecker

    public LocalInterfaceMethodChecker(LocalInterfaceCheck aCheck)

  Constructs a `LocalInterfaceMethodChecker` for a local interface check.

  Parameters:
    `aCheck` - the local interface check.

Method Detail

### checkMethod

    public void checkMethod(DetailAST aMethodAST)

  Checks whether a method satisfies component requirements.

  Specified by:
    `checkMethod` in class `MethodChecker`
  Parameters:
    `aMethodAST` - the AST for the method definition.

Back to the Checkstyle Home Page